{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "nationchains/schema/www",
  "title": "www",
  "description": "A space web available for a domaine, with accessright",
  "type": "object",
  "properties": {
    "tribeId": {
      "title":"Tribe name",
      "description": "A unique string as tribe",
      "type": "string",
      "pattern":"^[a-z0-9]*$"
    },
    "website": {
      "description": "Folder name into a tribeId/www/",
      "title":"web space",
      "type": "string",
    },
    "status": {
      "title":"Status",
      "description": "Status of website ",
      "default": "active",
      "type": "string",
      "enum": ["chain","tochain","unchain"]
    },
    "url": {
      "title":"url of website",
      "description": "Must be set in domaine name to the apxtrib",
      "type": "string",
      "format":"url"
    }
  },
  "required": ["tribeId","website", "status"],
  "apxid": "website",
  "apxidx": [
    { "name":"lst_website","keyval": "website"}
  ],
  "apxaccessrights":{
    "owner":{"D":[],"R":[],"U":[]},
    "mayor":{"C":[]},
    "person":{"R":[]}
  }
}
